Video Gen API 开发者文档
使用指南火山兼容APIOpenAI 兼容API在线调试帮助支持
素材 REST API

导入单个 URL 或 base64

POST /api/video-studio/assets/ecloud/import-url

POST
/api/video-studio/assets/ecloud/import-url

Authorization

BearerAuth

AuthorizationBearer <token>

NewAPI API Key,例如 sk-...。不同 API Key 拥有相互隔离的素材空间。

In: header

Request Body

application/json

assetUrl*string

HTTP/HTTPS URL,或 JPEG、PNG、WebP 图片 data URL

assetType*string
Value in"Image" | "Video" | "Audio"
displayName?string

新素材组展示名,同时作为单素材名称

groupId?string

已有素材组 ID;不传则创建新组

[key: string]?never

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://jieyun.cc/api/video-studio/assets/ecloud/import-url" \  -H "Content-Type: application/json" \  -d '{    "assetUrl": "https://files.example.com/reference.mp4",    "assetType": "Video",    "displayName": "参考视频"  }'
{
  "data": {
    "groupId": "string",
    "asset": {
      "assetId": "asset_xxx",
      "assetName": "产品主图",
      "assetUrl": "string",
      "assetType": "Image",
      "status": "Processing",
      "errorCode": "string",
      "errorMessage": "string",
      "createdAt": 0,
      "updatedAt": 0
    }
  },
  "error": null,
  "request_id": "req_xxx"
}
{
  "data": null,
  "error": {
    "code": "invalid_request",
    "message": "request is invalid"
  },
  "request_id": "req_xxx"
}
{
  "data": null,
  "error": {
    "code": "invalid_request",
    "message": "request is invalid"
  },
  "request_id": "req_xxx"
}
{
  "data": null,
  "error": {
    "code": "invalid_request",
    "message": "request is invalid"
  },
  "request_id": "req_xxx"
}
{
  "data": null,
  "error": {
    "code": "invalid_request",
    "message": "request is invalid"
  },
  "request_id": "req_xxx"
}
{
  "data": null,
  "error": {
    "code": "invalid_request",
    "message": "request is invalid"
  },
  "request_id": "req_xxx"
}
{
  "data": null,
  "error": {
    "code": "invalid_request",
    "message": "request is invalid"
  },
  "request_id": "req_xxx"
}

最后更新于